<?php
    
class attr_textarea extends attr {
    function getDBType() {
    	return "text";
    }

    function render_input() {
		return '<textarea class="textarea form-control" id="' . $this->attr_name.'" name="' . $this->attr_name.'">' .$this->getCurVal() . '</textarea>';    	
    }

    function render_text( $crop = false ) {
    	$val = $this->getCurVal();
    	if ( $crop ) {
	    	$val = substr(strip_tags($val),0, 100);
    	}
    	return $val;
    }


}

?>